[Frugalware-git] imgrebuild: qosmic-1.4.8-2-i686 * attempt to fix build

James Buren ryuo at frugalware.org
Thu May 6 17:06:25 CEST 2010


Git-Url: http://git.frugalware.org/gitweb/gitweb.cgi?p=imgrebuild.git;a=commitdiff;h=fc10b93baa3b4e22481d2ed31e00cc073e38eccb

commit fc10b93baa3b4e22481d2ed31e00cc073e38eccb
Author: James Buren <ryuo at frugalware.org>
Date:   Thu May 6 10:04:54 2010 -0500

qosmic-1.4.8-2-i686
* attempt to fix build

diff --git a/source/xapps-extra/qosmic/FrugalBuild b/source/xapps-extra/qosmic/FrugalBuild
index 5d1b7c9..9758d40 100644
--- a/source/xapps-extra/qosmic/FrugalBuild
+++ b/source/xapps-extra/qosmic/FrugalBuild
@@ -12,7 +12,9 @@ archs=('i686' 'x86_64')
_F_googlecode_ext=".tar.bz2"
Finclude googlecode
_F_conf_configure="./build.sh"
-sha1sums=('3a97144df09813925760338db100f0c52ba8dd74')
+source=(${source[@]} $pkgname-pro.patch)
+sha1sums=('3a97144df09813925760338db100f0c52ba8dd74' \
+          '56cab3605337709ea8085a8f75c035aa83440e55')

build() {
Fmake
diff --git a/source/xapps-extra/qosmic/qosmic-pro.patch b/source/xapps-extra/qosmic/qosmic-pro.patch
new file mode 100644
index 0000000..43f7122
--- /dev/null
+++ b/source/xapps-extra/qosmic/qosmic-pro.patch
@@ -0,0 +1,16 @@
+diff -aur qosmic-1.4.8/qosmic.pro qosmic-1.4.8-2/qosmic.pro
+--- qosmic-1.4.8/qosmic.pro	2009-12-15 16:10:36.000000000 -0600
++++ qosmic-1.4.8-2/qosmic.pro	2010-05-06 10:03:29.000000000 -0500
+@@ -90,10 +90,10 @@
+ }
+
+ link_pkgconfig {
+-	! system(pkg-config --atleast-version 2.7.18 flam3) {
++	system(pkg-config --atleast-version 2.7.18 flam3) {
+ 		error("Qosmic $$VERSION requires at least version 2.7.18 of flam3 to build.")
+ 	}
+-	! system(pkg-config --max-version 2.7.9999 flam3) {
++	system(pkg-config --max-version 2.7.9999 flam3) {
+ 		error("Qosmic $$VERSION is not compatible with flam3 versions >=2.8")
+ 	}
+ }


More information about the Frugalware-git mailing list